@font-face {
	font-family: 'Teko';
	src: url('../fonts/Teko/Teko-VariableFont_wght.ttf');
}

@font-face {
	font-family: 'AR One Sans';
	src: url('../fonts/AR_One_Sans/AROneSans-VariableFont_ARRR\,wght.ttf');
}

:root {
	--ff-primary: 'AR One Sans', sans-serif;
	--ff-secondary: 'Teko', sans-serif;

	--fw-body-text: 400;

	--clr-primary: #3c5c35;
	--clr-black: #000;

	--bs-pagination-active-bg: #3c5c35;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	margin: 0;
	padding: 0;
	scrollbar-color: var(--clr-primary) transparent;
}

/* BASE STYLES */

html {
	scroll-behavior: smooth;
	/* height: 100%; */
	height: 100dvh;
}

body {
	display: flex;
	flex-direction: column;
	overflow-x: hidden;
	font-family: var(--ff-primary);
	/* min-height: 100%; */
	min-height: 100dvh;
}

section {
	min-width: 75%;
	margin-top: 4rem;
	margin-bottom: 4rem;
	margin: collapse;
}

h1, h2, h3,
h4, h5, h6 {
	font-family: var(--ff-secondary);
	margin-top: 1.5rem;
	margin-bottom: 1rem;
}

h1 { 
	font-size: 2.4rem;
	background-color: #000;
	color: white;
	display: inline-block;
	padding-left: 50px;
	padding-right: 15px;
	margin-left: -45px;
	transition: all .3s;
	user-select: none;
}

h1:hover {
	transform: translateX(5px);
	padding-left: 60px;
}

h2 { font-size: 2rem; }

a:link, a:visited {
	text-decoration: none;
	color: var(--clr-primary);
}

a:hover, a:active
a:focus {
	color: var(--clr-primary);
	text-decoration: underline;
}

footer a {
	color: #fff!important;
}

nav ul {
	padding: auto;
	margin: auto;
}

.button {
	padding: 10px 0;
	color: #fff;
	font-size: 20px!important;
	outline: none;
	background: #000000;
	border: 1px solid #000;
	width: 100%;
	cursor: pointer;
	font-size: 1rem;
	font-weight: bold;
	letter-spacing: 1px;
	transition: all 0.3s;
}

.button:hover {
	background-color: var(--clr-primary);
	color: #fff;
	border: 1px solid var(--clr-primary);
}

textarea {
	resize: vertical;
	max-height: 500px;
}

footer {
	background-color: black;
	color: #fff;
	padding: 20px 25px;
	text-align: center;
	font-size: 1.2rem;
	width: 100%;
	font-family: var(--ff-secondary);
	margin-top: auto;
}

/* CLASSES */

.header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 21px 10%;
	font-weight: 400;
	font-size: 1.4rem;
	background-color: #fff;
	position: sticky;
	top: 0;
	transition: all 0.3s;
	z-index: 2;
	font-family: var(--ff-secondary);
	height: 76px!important;
}

.header.sticking {
	box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
	padding: 18px 10%;
	background-color: #fff;
	height: 70px!important;
}

.header a {
	color: #000;
}

.nav__links {
	list-style: none;
	padding-left: 1rem;
}

.offcanvas-menu {
	padding: 12px 25px;
}

div.nav.navbar-nav.navbar-right {
	font-size: 1rem;
	font-family: var(--ff-primary);
	padding-left: 1rem;
}

div.nav.navbar-nav.navbar-right li {
	margin-bottom: .3rem;
}

div.nav.navbar-nav.navbar-right a {
	text-decoration: none;
}

.hero {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 2rem;
	flex-wrap: wrap;
}

.hero.hero--wrap-reverse {
	flex-wrap: wrap-reverse;
}

.hero p {
	margin-top: 2px;
	margin-bottom: 12px;
	width: 60ch;
}

.hero img {
	/* border-radius: 58% 42% 68% 32% / 43% 52% 48% 57%; */
	border-radius: 45% 55% 66% 34% / 37% 54% 46% 63%;
	max-width: 400px;
}

.hero > * {
	flex: 1;
	max-width: 600px;
}

.hero ul {
	transform: translateX(15px);
}

@media screen and (max-width: 700px ) {
	.hero {
		max-width: 95vw;
	}

	.hero p {
		width: 35ch;
	}

	.hero img {
		max-width: 85vw;
	}
 }

.sub-hero {
	margin-top: auto;
	max-width: 350px;
	transform: translateY(-150px);
}

.sub-hero img {
	max-height: 500px;
}

.center {
	text-align: center;
}

section.faq {
	display: flex;
	flex-direction: column;
	align-items: center;
}

/* #faq {
	width: 75%;
} */

.accordion {
	max-width: 720px;
}

.accordion-button {
	background-color: transparent;
	color: var(--clr-black);
	font-weight: bold;
}

.accordion-item {
	border: none!important;
}

.accordion-button:not(.collapsed) {
	background-color: transparent;
	/* color: var(--clr-primary); */
	color: black;
}

h2.accordion-header {
	font-family: var(--ff-primary);
}

.accordion-body {
	background-color: rgba(237, 241, 233, 0.781);
	border-bottom-left-radius: 8px;
	border-bottom-right-radius: 8px;
}

.flex-container {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 2rem;
	flex-wrap: wrap;
	padding: 3%;
}

.flex-container > * {
	text-align: center;
	background-color: transparent;
	max-width: 450px;
	padding: 3.5rem 2rem;
	border-radius: 8px;
	border: 2px solid transparent;
	transition: all 0.3s;
}

.flex-container > *:hover:nth-of-type(1) {
	border: 2px solid black;
	transform: translate(0, -1rem) rotate(-1deg);
}

.flex-container > *:hover:nth-of-type(2) {
	border: 2px solid black;
	transform: translate(0, -1rem);
}


.flex-container > *:hover:nth-of-type(3) {
	border: 2px solid black;
	transform: translate(0, -1rem) rotate(1deg);
}

.container-center {
	margin: auto;
	margin-bottom: 150px;
	margin-top: 150px;
	padding: 0 10% 0 10%;
}

.faq .question {
	cursor: pointer;
	font-weight: 700;
}

::selection {
	color: white;
	background-color: var(--clr-primary);
}

#submenu-1, #submenu-2, #submenu-3,
#submenu-4, #submenu-5, #submenu-6,
#submenu-7, #submenu-8, #submenu-9 {
	padding: .3em .7em;
	margin-top: -55px;
}

.categories {
	padding: 1em 0;
}

.main-category {
	text-align: center;
}

li.navbar-main-category > a.dropdown-toggle {
	visibility: hidden;
	transition: all .3s;
}

li.navbar-main-category > .dropdown-toggle::after {
	font-size: 1.8rem;
	color: var(--clr-primary);
	transition: all .3s;
	vertical-align: 0.155em;
}

/* .dropdown-toggle:hover {
-webkit-animation: bounce-top 0.9s both;
animation: bounce-top 0.9s both;
}  */

a[aria-expanded=true] {
	transform: rotate(-180deg);
}

/* @media only screen and (max-width: 30em) {
	.ms-menu { width: 60ch }
} */

main#main-content {
	padding: 2%  2%;
}

.search-box {
	width: auto;
}

.header .form-control {
	height: 0.5rem;
	font-size: 2rem;
}

.header .btn {
	height: 2.1rem;
}

.col.nav-link {
	font-family: var(--ff-secondary);
	font-size: 1.6rem;
}
.navbar-subcategory > .col.nav-link {
	font-family: var(--ff-secondary);
	font-size: 1.4rem;
	font-weight: 100;
}

.products {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 3em;
	margin-top: 3em;
	margin-bottom: 3em;
	position: relative;
}

.product-box {
	place-self: center;
	position: relative;
	width: auto!important;
	height: 489px;
	max-width: 350px;
	padding: 3em 2em;
	text-align: center;
	border-radius: 8px;;
	transition: all .3s;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	/* border-top-left-radius: 0;
	border-top-right-radius: 0;
	border: 1.5px solid black; */
}

.product-box:hover {
	box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;;
}

.product-header h4 {
	margin-bottom: -25px;
	color: #000;
}

.product-box img {
	width: auto;
	max-width: 250px;
	height: auto;
	max-height: 100%;
	margin-bottom: 2em;
	max-height: 200px;
}

@media (max-width: 1555px) {
	.products {
		grid-template-columns: repeat(3, 1fr);
		gap: .5em;
	}
}

@media screen and (max-width: 1150px) {
	.products {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media (max-width: 727px) {
	.products {
		grid-template-columns: 1fr;
	}

	.col-12 .row {
		display: flex;
		flex-direction: column;
		justify-content: center!important;
		align-items: center!important;
		gap: 1rem;
	}

	.row .col {
		width: auto;
	}

	button#button-search {
		 margin-left: 2px!important;
 	}

	.big-screen {
		display: none;
	}
}

#text {
	width: 90ch;
	margin-top: 1rem;
	margin-bottom: 1rem;
}

.product-manufacturer {
	font-size: 1.7rem;
	font-weight: 400;
}

#frm-searchForm-search {
	font-size: 1.6rem;
	padding-top: 1rem;
	padding-bottom: 1rem;
}

.form-floating > label {
	display: none;
}

div.dropdown-menu.ms-menu {
	width: 45ch;
	box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;

	border-left: none!important;
	border-right: none!important;
	padding-left: .2em;
	padding-right: 0px!important;

	position: absolute;
	top: 36px;

	/* transform: translateY(5px); */
}

div.dropdown-menu.ms-menu > a.dropdown-item {
	color: black!important;
}

/* li.submenu-container-4 > .navbar-main-subcategory,
li.submenu-container-5 .navbar-main-subcategory {
	display: block;
} */

.accordion-header {
	background-color: transparent;
}

#frm-contactForm {
	max-width: 50%;
}

@media (max-width: 768px) {
	#frm-contactForm {
		max-width: 100%;
		}

	li.navbar-main-category {
		position: static;
	}

	/*div.dropdown-menu.ms-menu {
		max-width: 95vw;
		padding-left: 15px;
		 padding-right: .5em;

		padding-right: 15px;

		position: absolute!important;
		/* top: 125px;
		right: 0; */
	} */

	div.dropdown-menu.ms-menu {
		text-align: left;
	}


#frm-contactForm input:not([type="button"]) {
	padding: .3rem;
}

#frm-contactForm input {
	margin-bottom: .3rem;
	width: 100%;
}

#frm-contactForm textarea {
	width: 100%;
	margin-bottom: .3rem;
	padding: .3rem;
}

.my-btn {
	color: white;
	background-color: var(--clr-black);
	border-radius: 8px;
}

.my-btn:hover {
	color: white;
	background-color: var(--clr-primary);
}

.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
	margin-left: calc(var(--bs-border-width) * -1);
	border-top-left-radius: 8px;
	border-bottom-left-radius: 8px;
}

li.page-item.active {
	background-color: var(--clr-primary)!important;
	border-color: var(--clr-primary)!important;
	z-index: -1;
}

.navbar-subcategories {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	gap: .2rem;
	font-size: .2rem;
}

li.navbar-subcategory > a.nav-link:not(.dropdown-toggle) {
	font-family: var(--ff-primary);
	font-size: 1rem;
	padding-bottom: .2rem;
}

li.navbar-subcategory > a.nav-link > div.dropdown-item {
	padding-left: .2rem;
	padding-right: .2rem;
	/* font-weight: bold; */
}

.pagination > li > a {
	background-color: white;
	color: var(--clr-primary);
}

.pagination > li > a:focus,
.pagination > li > a:hover,
.pagination > li > span:focus,
.pagination > li > span:hover
{
	color: var(--clr-primary);
	background-color: #eee;
	border-color: #ddd;
}

.pagination > .active > a
{
	color: white;
	background-color: var(--clr-primary);
	border: solid 1px var(--clr-primary);
}

.pagination > .active > a:hover
{
	background-color: var(--clr-primary);
	border: solid 1px var(--clr-primary);
}

div.product-details {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 1rem;
	max-width: 1600px;
	align-items: center;
}

.img-thumbnail {
	height: 300px;
}

@media (max-width: 1200px) {
	div.product-details {
		grid-template-columns: repeat(2, 1fr);
		gap: 2rem;
	}

	div.product-thumbnails {
		grid-column: span 2;
	}
}

@media screen and (max-width: 840px) {

	.product-info {
		grid-column: span 2;
	}

	.product-picture {
		grid-column: span 2;
	}

	div.product-thumbnails {
		grid-column: span 2;
		gap: 5px;
		padding: 0;
	}

	div#snippet--modal {
		width: 100vw;
		top: 0!important;
		right: 0!important;
		bottom: 0!important;
		left: 0!important;
	}

	.contact-modal div.contacts .email {
		border-top-left-radius: 0px!important;
	}

	.contact-modal div.contacts .phone {
		border-bottom-right-radius: 0px!important;
	}
}

div.product-info {
	max-width: 65ch;
	height: auto;
}

.product-description p {
	margin-bottom: 2rem;
}

.product-picture .img-fluid {
	max-width: 400px;
	text-align: center;
}

div.product-picture {
	text-align: center;
}

.product-thumbnails {
	/* display: grid;
	grid-template-columns: repeat(2, 1fr); */
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	/* align-content: center; */
	gap: 1rem;
	height: 350px;
	max-height: 400px;
	padding: 5px;

	overflow-y: scroll;

	box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

div#snippet--products {
	/* max-width: 75vw; */
	padding-top: 1rem;
	/* border: 1px solid black; */
}

.col.product-picture {
text-align: center;
position: relative;
}

.form-control:focus,
textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {
	border-color: var(--clr-primary)!important;
	box-shadow: 0 0 2px var(--clr-primary);
	outline: 0 none;
}

label.form-label {
font-weight: bold;
cursor: pointer;
}

.navbar-main-categories {
	display: flex;
	justify-content: center;
	gap: 2rem;
	flex-wrap: wrap;
	list-style: none;
}

.navbar-main-subcategories {
	/* display: flex;
	flex-direction: column; */
	list-style: none;
	padding-left: 0;
}

.navbar-subcategories {
	list-style: none;
	padding-left: 2rem;
	font-size: 1rem;
}

.navbar-main-subcategory {
	display: block;
}

/* .submenu-container-4 li.navbar-main-subcategory,
.submenu-container-4 li.navbar-main-subcategory {
	display: block;
} */

/* .navbar-main-category {
display: flex;
flex-direction: column;
} */


/* li.navbar-main-category > a.dropdown-toggle {
display: block;
position: relative;
right: 2rem;
text-align: center;
} */

.search-query {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 2rem;
	border-radius: 8px;
	background-color: var(--clr-primary);
	color: white;
	padding: .5em 1em;
	max-width: 45ch;
}

.search-query > span {
	transition: all .3s;
	font-size: 1.4rem;
}

.search-query > span:hover {
	transform: rotate(90deg);
}

.search-query > span > a > i {
	color: white;
}

.search-query > span.alert-close > a > button.btn-close {
	color: white!important;
	transform: translateY(-3px);
	opacity: 1;
}

.product-top:hover p {
	text-decoration: none;
}

.price-box {
	display: inline-block;

	width: auto;
	height: 38px;

	background-color: #333;
	-webkit-border-radius: 3px 4px 4px 3px;
	-moz-border-radius: 3px 4px 4px 3px;
	border-radius: 3px 4px 4px 3px;

	border-left: 1px solid #333;

	/* This makes room for the triangle */
	margin-left: 19px;

	position: relative;

	color: white;
	line-height: 38px;

	padding: 0 10px 0 10px;

	/* transform: rotate(5deg); */

	/* display: inline-block;
	padding: .5em 1em !important;
	border-top-left-radius: 8px;
	border-bottom-right-radius: 8px;
	background-color: black;
	color: white;
	cursor: text; */
}

/* Makes the triangle */
.price-box::before {
	content: "";
	position: absolute;
	display: block;
	left: -19px;
	width: 0;
	height: 0;
	border-top: 19px solid transparent;
	border-bottom: 19px solid transparent;
	border-right: 19px solid #333;
}
  
  /* Makes the circle */
.price-box::after {
	content: "";
	background-color: white;
	border-radius: 50%;
	width: 4px;
	height: 4px;
	display: block;
	position: absolute;
	left: -9px;
	top: 17px;
}

.price-box > * {
	cursor: text;
}

.product-flags {
	position: absolute;
	top: 37px;
	left: -1px;
	z-index: 1;
}

p.product-flag-new {
	background-color: #fcf52b;
	padding: .5em 1em;
	border-top-left-radius: 10px;
	border-bottom-right-radius: 10px;
	color: black;
	font-weight: bold;
}

p.product-flag-soldout {
	background-color: rgb(134, 48, 40);
	padding: .5em 1em;
	border-top-left-radius: 10px;
	border-bottom-right-radius: 10px;
	color: white;
	font-weight: bold;
}

nav.row {
	margin-top: 1rem;
	align-items: center;
}

/* div.products {
	position: relative;
}

.product-top ~ .price-box {
	position: absolute;
	bottom: 2px;
} */

div.search-query p {
	margin-bottom: 0px!important;
}

ul.list-subcategories {
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
	list-style: none;
	padding-left: 0;
	margin-top: 3rem;
	margin-bottom: 3rem;
	/* border: 2px solid firebrick; */
}

/* ul.list-subcategories > li {
	margin-bottom: .9rem;
} */

ul.list-subcategories > li > a {
	background-color: var(--clr-primary);
	border-top-left-radius: 10px;
	border-bottom-right-radius: 10px;
	padding: .5em 2em;
	color: white;
	font-weight: bold;
}

ul.list-subcategories > li > a:hover {
	text-decoration: none;
	color: white!important;
	background-color: #32492d !important;
}

ul.list-subcategories > li {
	margin-top: .7rem;
}

@media screen and (max-width: 600px) {

/* main#main-content {
	margin-top: 5rem;
} */

.hero {
	text-align: center;
}

ul.list-subcategories > li > a {
	padding: .3em 1em;
/* background-color: #fcf52b; */
}
}

/* ----------------------------------------------
 * Generated by Animista on 2023-11-26 11:32:16
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation bounce-top
 * ----------------------------------------
 */
 @-webkit-keyframes bounce-top {
0% {
  -webkit-transform: translateY(-4.5px);
  transform: translateY(-4.5px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
  opacity: 1;
}
24% {
  opacity: 1;
}
40% {
  -webkit-transform: translateY(-2.4px);
  transform: translateY(-2.4px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
65% {
  -webkit-transform: translateY(-1.2px);
  transform: translateY(-1.2px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
82% {
  -webkit-transform: translateY(-0.6px);
  transform: translateY(-0.6px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
93% {
  -webkit-transform: translateY(-0.4px);
  transform: translateY(-0.4px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
25%,
55%,
75%,
87% {
  -webkit-transform: translateY(0px);
  transform: translateY(0px);
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}
100% {
  -webkit-transform: translateY(0px);
  transform: translateY(0px);
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
  opacity: 1;
}
  }
  @keyframes bounce-top {
0% {
  -webkit-transform: translateY(-4.5px);
  transform: translateY(-4.5px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
  opacity: 1;
}
24% {
  opacity: 1;
}
40% {
  -webkit-transform: translateY(-2.4px);
  transform: translateY(-2.4px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
65% {
  -webkit-transform: translateY(-1.2px);
  transform: translateY(-1.2px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
82% {
  -webkit-transform: translateY(-0.6px);
  transform: translateY(-0.6px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
93% {
  -webkit-transform: translateY(-0.4px);
  transform: translateY(-0.4px);
  -webkit-animation-timing-function: ease-in;
  animation-timing-function: ease-in;
}
25%,
55%,
75%,
87% {
  -webkit-transform: translateY(0px);
  transform: translateY(0px);
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
}
100% {
  -webkit-transform: translateY(0px);
  transform: translateY(0px);
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
  opacity: 1;
}
  }
  
  ol.breadcrumb {
	margin-top: 2rem;
	margin-bottom: 2rem;
	font-style: italic;
  }

  p.category-description {
	margin-top: -0.7rem;
	text-indent: .2rem;
	margin-top: 1.7rem;
	margin-bottom: 2rem;
  }

  div.alert {
	max-width: 250px;
	z-index: 1;
  }

li.navbar-main-category {
	position: relative;
}

a.nav-link:not(.dropdown-toggle) {
	display: inline;
	position: relative;
	color: var(--clr-primary);
	font-family: var(--ff-secondary);
	font-size: 1.55rem;
	letter-spacing: .01rem;
	margin-left: 10px;
}

a.nav-link:hover {
	text-decoration: none;
/* background-color: white!important; */
}

.dropdown-item:hover,
.dropdown-item:focus {
	background-color: transparent!important;
}

a.nav-link:not(.dropdown-toggle):after {
	content: '';
	position: absolute;
	bottom: 7px;
	left: 0;
	width: 90%;
	height: 0.05rem;
	background-color: var(--clr-primary);
	/* opacity: 0; */
	transition: opacity 300ms, transform 300ms;
	opacity: 1;
	transform: scale(0);
	transform-origin: center;
}

a.nav-link:hover::after,
a.nav-link:focus::after { 
	opacity: 1;
	/* transform: translate3d(0, 0.2rem, 0); */
	transform: scale(1);
}

/* div.product-top:hover > div.product-description > p {
text-decoration: none;
}

div.product-top:hover > p {
text-decoration: none!important;
} */

/* .img-fluid {
min-width: 350px;
} */

.control {
	position: relative;
	z-index: 2;
}

div.modal-main {
	display: none;
	z-index: 998;
	position: fixed;
	top:0;
	bottom: 0;
	right: 0;
	left: 0;
	background-color: rgba(0,0,0,.5);
}

.modal-main {
	backdrop-filter: blur(3px);
}

div#snippet--modal {
	/* transition: 1s; */
	position: fixed;
	top: 15vh;
	left: 18vh;
	bottom: 15vh;
	right: 18vh;
	z-index: 3;
	background-color: hsl(0, 0%, 100%, 0.9);
	/* border: solid; */
	/* border-color: var(--color-header); */
	border-radius: 4px;
/* border-left: 10px solid var(--clr-primary); */
/* position: relative; */
	padding: 10px 15px;

}

span.close-button {
	position: absolute;
	top: 0;
	right: 7px;
	cursor: pointer;
	color: black;
	font-size: 1.7rem;
	transition: all .3s;
}

span.close-button:hover {
	transform: rotate(90deg);
}

.custom-tooltip {
	background-color: var(--clr-primary);
	color: white;
}

.buttons-box {
	margin-top: 25px;
}

a.contact-button {
	display: inline-block;
	cursor: pointer;
	color: white;
	background-color: var(--clr-primary);
	padding: 1em 2em;
	letter-spacing: 2px;
	transition: all .2s;
	border-bottom-left-radius: 8px;
	-webkit-animation: jello-diagonal-1 0.8s both;
	animation: jello-diagonal-1 0.8s both;
}

div.contact-button:hover {
	background-color: #32492d;
}

/* ----------------------------------------------
 * Generated by Animista on 2023-12-21 11:25:43
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation jello-diagonal-1
 * ----------------------------------------
 */
 @-webkit-keyframes jello-diagonal-1 {
0% {
  -webkit-transform: skew(0deg 0deg);
  transform: skew(0deg 0deg);
}
30% {
  -webkit-transform: skew(25deg 25deg);
  transform: skew(25deg 25deg);
}
40% {
  -webkit-transform: skew(-15deg, -15deg);
  transform: skew(-15deg, -15deg);
}
50% {
  -webkit-transform: skew(15deg, 15deg);
  transform: skew(15deg, 15deg);
}
65% {
  -webkit-transform: skew(-5deg, -5deg);
  transform: skew(-5deg, -5deg);
}
75% {
  -webkit-transform: skew(5deg, 5deg);
  transform: skew(5deg, 5deg);
}
100% {
  -webkit-transform: skew(0deg 0deg);
  transform: skew(0deg 0deg);
}
  }
  @keyframes jello-diagonal-1 {
0% {
  -webkit-transform: skew(0deg 0deg);
  transform: skew(0deg 0deg);
}
30% {
  -webkit-transform: skew(25deg 25deg);
  transform: skew(25deg 25deg);
}
40% {
  -webkit-transform: skew(-15deg, -15deg);
  transform: skew(-15deg, -15deg);
}
50% {
  -webkit-transform: skew(15deg, 15deg);
  transform: skew(15deg, 15deg);
}
65% {
  -webkit-transform: skew(-5deg, -5deg);
  transform: skew(-5deg, -5deg);
}
75% {
  -webkit-transform: skew(5deg, 5deg);
  transform: skew(5deg, 5deg);
}
100% {
  -webkit-transform: skew(0deg 0deg);
  transform: skew(0deg 0deg);
}
  }
  
  
div#snippet--flash-message {
	position: absolute;
	top: 75px;
	right: 50px;
	z-index: 3;
}

div#snippet--flash-message > * {
	max-width: 500px;
	z-index: 999;
	position: fixed;
	top: 175px;
	right: 25px;
	width: 300px;
}

.flash-alert .inner {
	display: block;
	padding: 10px 20px;
	border-radius: 10px;
	border: 1px solid rgb(180, 180, 180);
	background-color: rgb(212, 212, 212);
}

.flash-alert .close {
	float: right;
	margin: 10px 20px 0px 0px;
	cursor: pointer;
}

.flash-alert .inner,
.flash-alert .close {
	color: rgb(88, 88, 88);
}

.flash-alert input {
	display: none;
}

.flash-alert input:checked~* {
	animation-name: dismiss, hide;
	animation-duration: 300ms;
	animation-iteration-count: 1;
	animation-timing-function: ease;
	animation-fill-mode: forwards;
	animation-delay: 0s, 100ms;
}

.flash-alert.success .inner {
	border: 1px solid rgb(214, 233, 198);
	background-color: rgb(223, 240, 216);
}

.flash-alert.success .inner,
.flash-alert.success .close {
	color: rgb(70, 136, 71);
}

.flash-alert.warning .inner {
	border: 1px solid rgb(231, 233, 198);
	background-color: rgb(240, 238, 216);
}

.flash-alert.warning .inner,
.flash-alert.warning .close {
	color: rgb(70, 136, 71);
}

.flash-alert.error .inner {
	border: 1px solid rgb(233, 198, 198);
	background-color: rgb(240, 216, 216);
}

.flash-alert.error .inner,
.flash-alert.error .close {
	color: rgb(70, 136, 71);
}

@keyframes dismiss {
	0% {
		opacity: 1;
	}

	90%,
	100% {
		opacity: 0;
		font-size: 0.1px;
		transform: scale(0);
	}
}


.contact-modal {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-content: center;
	text-align: center;
	height: 100%;
}

.contact-modal h2 {
	display: inline;
	/* border-bottom: 1px solid black; */
	position: relative;
}

.contact-modal h2::before {
	content: '';
	position: absolute;
	bottom: 2px;
	left: 35%;
	background-color: #000000;
	height: 2px;
	box-sizing: border-box;
	width: 50px;
	transition: all .3s;
}

.contact-modal p {
	margin-top: 15px;
}

.contact-modal div.contacts > * {
	margin-bottom: 1rem;
	display: inline;
	width: auto;
	text-align: center;
}

.contact-modal div.contacts > a {
	color: white;
	padding: .5em 1em;
	display: inline-block;
	transition: all .2s;
}

.contact-modal div.contacts .email {
	background-color: white;
	border-top-left-radius: 8px;
	margin-right: 2px;
	color: black;
}

.contact-modal div.contacts .email:hover {
	box-shadow: 0 0 10px #ffffff;
}

.contact-modal div.contacts .phone {
	background-color: #6d3f3f;
	border-bottom-right-radius: 8px;
}

.contact-modal div.contacts .phone:hover {
	box-shadow: 0 0 10px #6d3f3f;
}

.contact-modal div.contacts .facebook {
	background-color: #4267B2;
	border-bottom-left-radius: 8px;
}

.contact-modal div.contacts .facebook:hover {
	box-shadow: 0 0 10px #4267B2;
}

.contact-modal div.contacts .whatsapp {
	background-color: #128C7E;
	border-top-right-radius: 8px;
}

.contact-modal div.contacts .whatsapp:hover {
	box-shadow: 0 0 10px #128C7E;
}

.contact-modal div.contacts *:hover {
	text-decoration: none;
}

div.product-description p {
	margin-top: 1rem;
}


.loader {
	position: fixed;
	top: 45vh;
	left: 45vw;
	display: none;
	background-image: url('../images/loader.png');
	background-repeat: no-repeat;
	background-size: 20vh;
	z-index: 1000;

	width: 20vh;
	height: 20vh;
	/* animation: spin 0.5s linear infinite; */
	animation: loader .33s ease-in-out;
}

@keyframes loader {
	0% {
		opacity: 0%;
	}

	50% {
		opacity: 100%;
	}

	100% {
		opacity: 0%;
	}
}

#consent-modal-maximized {
	display: none;
	position: fixed;
	bottom: 0;
	background-color: var(--clr-primary);
	width: 100vw;
	padding: 1.7em 3em;
	color: white;
	font-weight: bold;
	z-index: 99;
}

#consent-modal-maximized > .consent-box {
	display: flex;
	justify-content: space-evenly;
	align-content: center!important;
}

.consent-text {
	transform: translateY(7px);
}

.consent-buttons button {
	padding: .5em 1em;
	margin-left: 15px;
	border: none;
	border-radius: 4px;
	transition: all .3s ease-in-out;
	letter-spacing: .8px;
}

#acceptCookie {
	background-color: white;
}

#acceptCookie:hover {
	background-color: rgb(255, 255, 255);
}

#denyCookie {
	background-color: brown;
	color: white;
}

#denyCookie:hover {
	background-color: rgb(148, 39, 39);
}

#consent-modal-minimized {
	position: fixed;
	bottom: 15px;
	left: 15px;
	display: block;
	background-image: url('../images/cookie.png'); /* icon by Freepik */
	background-repeat: no-repeat;
	background-size: 35px 35px;
	width: 35px;
	height: 35px;
	cursor: pointer;
	z-index: 99;
	background-color: transparent;
	transform: skew(-4deg,-2deg);
	border-radius: 50%;
	box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

button#changeConsent {
	background-color: transparent;
	width: 50px;
	height: 50px;
	border: none;

}

@media screen and (max-width: 1420px) {
	#consent-modal-maximized > .consent-box {
		flex-direction: column;
		gap: 2em;
	}
}

@media screen and (max-width: 620px) {
	button#acceptCookie {
		margin-bottom: 1em;
}

	button#denyCookie {
		margin-bottom: 1.2em;
	}
}

@media (max-width: 727px) {
	.small-screen {
		display: visible!important;
		margin-top: 45px;
	}

	.search-query {
		max-width: 85%;
	}

	i.fa-solid.fa-bars {
		position: relative;
	}

	i.fa-solid.fa-bars::after {
		content: '';
		background-image: url('../images/search.png'); /* icons by rang and Pixel perfect */
		background-repeat: no-repeat;
		background-size: 35px 35px;
		width: 35px;
		height: 35px;
		background-color: transparent;
		display: inline-block;
		position: absolute;
		bottom: -25px;
		left: -29px;
	}

	/* li.navbar-main-category > a.dropdown-toggle */



	li.navbar-main-category > a.dropdown-toggle {
		display: inline-block;
		position: relative;
		top: 0;
		/* text-align: center; */
		visibility: visible!important;
		font-size: 1rem;
		color: var(--clr-primary);

		/* margin-left: .255em;
		vertical-align: .255em; */
		content: "";
		/* border-top: .3em solid; */
		border-right: .3em solid transparent;
		border-bottom: 0;
		border-left: .3em solid transparent;
	}

	ul.navbar-main-categories {
		flex-direction: column;
		gap: 1.2rem;
		align-items: center;
		margin-top: 2rem;
	}
}

@media screen and (min-width: 751px) {
	.small-screen {
		visibility: hidden;
	}
}

	.filters {
		margin: 2rem auto;
		display: flex;
		flex-wrap: wrap;
		gap: 3rem;
		justify-content: center;
		align-items: center;
		/* font-size: .95rem; */
	}

	.filters > * {
		width: 200px;
	}

@media (max-width: 550px) {
	.filters {
		gap: 12px;
		flex-direction: column;
	}
}
  
input[type="checkbox"]:checked {
	background-color: var(--clr-primary);
	border-color: var(--clr-primary);
}

.form-check.form-switch {
	font-size: 1.02rem;
}

.sort-products > * {
	font-size: inherit;
}